Subject: bug#77784: Consider killing ediff-registry-buffer in ediff-cleanup-mess if there are no more ediff sessions ongoing

From: João Guerra <[email-masked]>
Date: Sun, 13 Apr 2025 18:22:28 +0200

The function `ediff-cleanup-mess` cleans up an ediff session. This
kills most buffers created during the ediff session (amongst other
things).

The `ediff-registry-buffer` stays after the ediff session. While there
is value in keeping it around when there are more ediff sessions
ongoing, is there a reason to keep it around when there are none?

I'd like to propose killing the `ediff-registry-buffer` after an ediff
session if there are no other ediff sessions ongoing. While this can
be easily achieved by customizing `ediff-quit-hook`, I think there is
some value in doing it on `ediff-cleanup-mess`. I can prepare a small
patch if you agree.